package com.tzld.longarticle.recommend.server.model.dto;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class PublishContentDTO {

    private String id;
    private String planId;
    private Integer channel;
    private Integer contentModal;
    private Integer sourceType;
    private String sourceId;
    private String sourceLocalId;
    private String crawlerChannelContentId;
    private Integer status;
    private Integer auditStatus;
    private String auditRejectReason;
    private String publishAccountId;
    private String publishStageId;
    private String publishStageUrl;
    private Integer viewCount;
    private Integer likeCount;
    private Integer commentCount;
    private Integer shareCount;
    private Integer collectCount;
    private Integer lookingCount;
    private Integer fansIncreaseCount;
    private Integer pageLookCount;
    private String finishRate;
    private Integer coinCount;
    private Integer danmakuCount;
    private Integer textCentreAdvReqsucCount;
    private Integer textCentreAdvExpoCount;
    private Integer textCentreAdvClickCount;
    private Integer textCentreAdvEcpm;
    private Integer textCentreAdvIncome;
    private Integer textTailAdvReqsucCount;
    private Integer textTailAdvExpoCount;
    private Integer textTailAdvClickCount;
    private Integer textTailAdvEcpm;
    private Integer textTailAdvIncome;
    private String xhsLocation;
    private String douyinSettingData;
    private Long editTimestamp;
    private String editAccount;
    private Long publishTimestamp;
    private Long auditTimestamp;
    private String auditAccount;
    private Integer requireWordNum;
    private String requireWordOperator;
    private Integer wordNum;
    private BigDecimal requireSimilarityRatio;
    private String requireSimilarityOperator;
    private BigDecimal similarityRatio;
    private BigDecimal algorithmScore;
    private String algorithmStrategy;
    private Integer itemIndex;
    private String publishFailMsg;
    private Long createTimestamp;
    private String createAccount;
    private Long updateTimestamp;
    private String title;
}

